# norootforbuild
#!BuildIgnore:          post-build-checks
Name:           erlang
Version:        R12B5
Release:        5.2
%define pkg_version R12B-5
#
Group:          Development/Language/Erlang
License:        Erlang Public License
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++ ncurses-devel openssl-devel unixODBC-devel tcl-devel tk-devel openssh bzip2
BuildRequires:  java-devel
#BuildRequires:  java-1_5_0-sun-devel
#BuildRequires:  java2-devel-packages
BuildRequires:  krb5-devel
BuildRequires:  update-alternatives
Requires:       tk
#
URL:            http://www.erlang.org
Source:         http://www.erlang.org/download/otp_src_%{pkg_version}.tar.bz2
Source1:        http://www.erlang.org/download/otp_doc_html_%{pkg_version}.tar.bz2
Source2:        http://www.erlang.org/download/otp_doc_man_%{pkg_version}.tar.bz2
Source3:	%{name}-rpmlintrc
Patch0:         otp-links.patch
Patch1:         otp-install.patch
#Patch2:         otp-rpath.patch
Patch3:         otp-sslrpath.patch
#Patch5:         otp-run_erl.patch
#
Summary:        General-purpose programming language and runtime environment
%description
Erlang is a general-purpose programming language and runtime
environment. Erlang has built-in support for concurrency, distribution
and fault tolerance. Erlang is used in several large telecommunication
systems from Ericsson.


%package doc
Summary:        Erlang documentation
Group:          Development/Languages

%description doc
Documentation for Erlang.


%prep
%setup -q -n otp_src_%{pkg_version}
%patch0 -p1 -b .links
%patch1 -p1 -b .install
#%patch2 -p1 -b .rpath
%patch3 -p1 -b .sslrpath
#%patch5 -p0 -b .run_erl
chmod -R u+w .
sed -i 's|SSL_DYNAMIC_ONLY=no|SSL_DYNAMIC_ONLY=yes|' erts/configure

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
./configure --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-ssl=%{_prefix}
%{__make}


%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
%makeinstall INSTALL_PREFIX=%{buildroot}

# clean up
find $RPM_BUILD_ROOT%{_libdir}/erlang -perm 0775 | xargs chmod -v 0755
find $RPM_BUILD_ROOT%{_libdir}/erlang -name Makefile | xargs chmod -v 0644
find $RPM_BUILD_ROOT%{_libdir}/erlang -name \*.bat | xargs rm -fv
find $RPM_BUILD_ROOT%{_libdir}/erlang -name index.txt.old | xargs rm -fv

# doc
mkdir -p erlang_doc
tar -C erlang_doc -jxf %{SOURCE1}
tar -C $RPM_BUILD_ROOT/%{_libdir}/erlang -jxf %{SOURCE2}

# make links to binaries
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cd $RPM_BUILD_ROOT/%{_bindir}
for file in erl erlc 
do
  ln -sf ../%{_lib}/erlang/bin/$file .
done


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc AUTHORS EPLICENCE README
%{_bindir}/*
%{_libdir}/erlang


%files doc
%defattr(-,root,root)
%doc erlang_doc/*


%post
%{_libdir}/erlang/Install -minimal %{_libdir}/erlang >/dev/null 2>/dev/null


%changelog
* Sun Nov 23 2008 Carsten Schoene <cs@linux-administrator.com>
- update to R12B-5

* Sun Jul 06 2008 Carsten Schoene <cs@linux-administrator.com>
- update to R12B-3

* Tue Oct 30 2007 mrueckert@suse.de
- fix ssl build

* Tue Sep 25 2007 mrueckert@suse.de
- update to R11B-5

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-0.3
- Rebuild for FE6

* Wed Jul  5 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-0.2
- add BR m4

* Thu May 18 2006 Gerard Milmeister <gemi@bluewin.ch> - R11B-0.1
- new version R11B-0

* Wed May  3 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.3
- added patch for run_erl by Knut-Håvard Aksnes

* Mon Mar 13 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.1
- new version R10B-10

* Thu Dec 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-9.1
- New Version R10B-9

* Sat Oct 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-8.2
- updated rpath patch

* Sat Oct 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-8.1
- New Version R10B-8

* Sat Oct  1 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.4
- Added tk-devel and tcl-devel to buildreq
- Added tk to req

* Tue Sep  6 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.3
- Remove perl BuildRequires

* Tue Aug 30 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.2
- change /usr/lib to %%{_libdir}
- redirect output in %%post to /dev/null
- add unixODBC-devel to BuildRequires
- split doc off to erlang-doc package

* Sat Jun 25 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.1
- New Version R10B-6

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-3.1
- New Version R10B-3

* Mon Dec 27 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:R10B-2-0.fdr.1
- New Version R10B-2

* Wed Oct  6 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:R10B-0.fdr.1
- New Version R10B

* Thu Oct 16 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:R9B-1.fdr.1
- First Fedora release
